Skip to content

Create Contractor Document

Upload and attach a document to a contractor record. Requires the CONTRACTOR_MANAGEMENT feature flag and ADMIN or MANAGE_CONTRACTORS permissions.

Parameters

name * are required parametersdata typedescription
contractorId*stringThe unique identifier of the contractor
body.name*stringDisplay name for the document
body.url*stringThe URL of the uploaded file
body.mimeTypestringThe MIME type of the document

Return Value

The updated contractor record with the new document attached.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/contractor/:contractorId/document" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Insurance Certificate", "url": "https://storage.example.com/doc.pdf", "mimeType": "application/pdf"}'

ENDPOINTS

post/api/{targetPath}/contractor/:contractorId/document